# Uses of Class
org.apache.sling.discovery.commons.providers.DefaultInstanceDescription

Packages that use DefaultInstanceDescription
Package
Description
org.apache.sling.discovery.commons.providers
Provides commons utility for providers of the Discovery API.

## Uses of DefaultInstanceDescription in org.apache.sling.discovery.commons.providers

Subclasses of DefaultInstanceDescription in org.apache.sling.discovery.commons.providers
Modifier and Type
Class
Description
`class`
`NonLocalInstanceDescription`
InstanceDescription which represents an instance that is explicitly not local, ie isOwn==false.
Methods in org.apache.sling.discovery.commons.providers with parameters of type DefaultInstanceDescription
Modifier and Type
Method
Description
`void`
DefaultClusterView.`addInstanceDescription(DefaultInstanceDescription instance)`
Add the given instance to this cluster and set the cluster on the instance (back pointer)